#
# spec file for package perl-Term-Size (Version 0.207)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-Term-Size
Version:        0.207
Release:        1.2
License:        GPL+ or Artistic
%define cpan_name Term-Size
Summary:        Retrieve terminal size (Unix version)
Url:            http://search.cpan.org/dist/Term-Size/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/F/FE/FERREIRA/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
Requires:       perl(Test::More)
%{perl_requires}

%description
  THIS IS AN UNOFFICIAL PATCH AGAINST Term-Size 0.2 DISTRIBUTION 
  FOUND ON CPAN (http://search.cpan.org/~timpx/Term-Size-0.2/).
  IT IS UNOFFICIAL IN THE SENSE THAT THE AUTHOR Tim Goodwin 
  HASN'T APPROVED IT (YET, I HOPE). BECAUSE OF THIS, THIS 
  DISTRIBUTION IS NOT INDEXED AND AVAILABLE VIA cpan OR cpanp 
  SHELLS UNLESS YOU EXPLICITLY SAY 
  "install FERREIRA/Term-Size-0.203.tar.gz". 
  
  THIS IS UNDELICATE? I THINK IT IS IN A CERTAIN SENSE. BUT IT 
  IS A WAY TO UNFREEZE THE CURRENT DISTRIBUTION STATUS. IF TIM 
  DISAPPROVES, I WILL REMOVE THIS DISTRIBUTION RIGHT AWAY. 
  IF HE APPROVES, I WILL REMOVE THIS DISTRIBUTION RIGHT AWAY 
  AND WORK OUT (AFTER BEEN GIVEN MAINTAINERSHIP STATUS) 
  A DISTRIBUTION WITHOUT THIS NOTE AND WHICH INDEXES CORRECTLY.

*Term::Size* is a Perl module which provides a straightforward way to
retrieve the terminal size.

Both functions take an optional filehandle argument, which defaults to
'*STDIN{IO}'. They both return a list of two values, which are the current
width and height, respectively, of the terminal associated with the
specified filehandle.

'Term::Size::chars' returns the size in units of characters, whereas
'Term::Size::pixels' uses units of pixels.

In a scalar context, both functions return the first element of the list,
that is, the terminal width.

The functions may be imported.

If you need to pass a filehandle to either of the 'Term::Size' functions,
beware that the '*STDOUT{IO}' syntax is only supported in Perl 5.004 and
later. If you have an earlier version of Perl, or are interested in
backwards compatibility, use '*STDOUT' instead.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes Copyright README

%changelog
* Thu Apr 21 2011 coolo@opensuse.org
- initial package 0.207
  * created by cpanspec 1.78.04
